#!/usr/bin/env python

#
# updates the spec file with the current jar files
#


import os
import sys
import socket
import shutil


#
# version and release number passed in from commandline
#
version=sys.argv[1]
release=sys.argv[2]
distribution=sys.argv[3]
dependency="";
#
#list of config files to process
#
files=[

       "rpm/unicore-uvos-clc-specfile.spec",       
    ]


jarsource="rpm/usr/share/unicore/uvos-clc/lib"
jarbase="/usr/share/unicore/uvos-clc/lib"

endorsedjarsource="rpm/usr/share/unicore/uvos-clc/lib/endorsed"
endorsedjarbase="/usr/share/unicore/uvos-clc/lib/endorsed"
#
#loop over list of config files and do the substitution
#

if(distribution=="RedHat"):
	 dependency="java-1.6.0-openjdk findutils bash";





for f in files:
    try:
        print "Processing "+f

        jars=os.listdir(jarsource)
	s=""
        for j in jars:
            if(j[-3:]=="jar"):
                s = s + '"'+jarbase+"/"+j+'"\n'
		jar='"'+jarsource+"/"+j+'"'
                ex=os.system("jar i "+jar+" 2>/dev/null")
                if (ex!=0):
                  status="FAIL"
                else:
                  status="OK"
                print '%-50s %20s'%(j,status)

        endorsedjars=os.listdir(endorsedjarsource)
	e=""
        for j in endorsedjars:
            if(j[-3:]=="jar"):
                e = e + '"'+endorsedjarbase+"/"+j+'"\n'
		jar='"'+endorsedjarsource+"/"+j+'"'
                ex=os.system("jar i "+jar+" 2>/dev/null")
                if (ex!=0):
                  status="FAIL"
                else:
                  status="OK"
                print '%-50s %20s'%(j,status)

	file = open("rpm/unicore-uvos-clc.spec"+"_template")
        lines=file.readlines()
        file.close()
    
        file = open("rpm/unicore-uvos-clc.spec", 'w')

        for line in lines:
            line=line.replace("$jars", s);
            line=line.replace("$endorsedjars", e);
            line=line.replace("$uvos-clc-version", version);
            line=line.replace("$release", release);
            line=line.replace("$distribution", distribution);
            line=line.replace("$dependency", dependency);
            file.write(line)        

        file.close()

    except Exception,e :
        print "Error processing",e

    print "Done processing "+f
   



